# Cadastro de aplicação

<mark style="color:green;">`POST`</mark> `https://api.birdid.com.br/v0/oauth/application`

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| Content-Type | string | application/json |
| Accept       | string | application/json |

#### Request Body

| Name           | Type   | Description                                                                       |
| -------------- | ------ | --------------------------------------------------------------------------------- |
| name           | string | Nome/descrição da aplicação                                                       |
| comments       | string | Observações gerais de uso da aplicação                                            |
| redirect\_uris | array  | URI’s autorizadas para redirecionamento (para serviços de código de autorização)  |
| email          | string | E-mail para suporte em caso de indisponibilidade, mudança de versão, entre outros |
| client\_secret | String | Senha da sua aplicação                                                            |
| client\_id     | String | Nome da sua aplicação                                                             |

{% tabs %}
{% tab title="200 " %}

```
{
	"client_id": "(identificador da aplicacao)",
	"client_secret": "(segredo da aplicacao)",
	"status": "success",
	"message": "Aplicacao cadastrada com sucesso"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vaultid.com.br/workspace/cloud/api/manutencao/cadastro-de-aplicacao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
